Subject: FW: Serve as pickup locations for e-Residency cards
From: "SIM PRPO" <[email-masked]>
To: <[email-masked]>
Cc: "SiM info" <[email-masked]>
Date: Tue, 9 Sep 2025 14:37:13 +0300

Dear Emmanuel Fortune,

Thank you for your proposal.
Currently Estonia doesn´t consider partnership on additional pickup points 
for e-residents.

Kind regards,
Ministry of Interior

-----Original Message-----
From: [email-masked] <[email-masked]>
Sent: Thursday, September 4, 2025 7:02 AM
To: SiM info <[email-masked]>
Subject: Serve as pickup locations for e-Residency cards
Importance: High

TÄHELEPANU! Tegemist on väljastpoolt asutust saabunud kirjaga. Tundmatu 
saatja korral palume linke ja faile mitte avada!

The Honorable Igor Taro
Minister of the Interior of the Republic of Estonia
Address: Pikk tn 61, 15065 Tallinn, Estonia

Dear Honorable Minister
Re: Serve as pickup locations for e-Residency cards.

I’m Emmanuel Fortune the founder of Blocknance Financial International 
S.R.L. I am writing to you on behalf of Blocknance to express our interest 
in having our office designated as a permanent pickup location for 
e-Resident cards in the Dominican Republic. As a company that supports 
digital entrepreneurship and innovation, we believe that facilitating access 
to Estonia's e-Residency program would align perfectly with our mission.

The e-Residency program offers a unique opportunity for digital 
entrepreneurs and remote workers to access Estonia's digital infrastructure, 
manage businesses online, and integrate into the European market. By 
partnering with the Estonian government, we can provide a convenient and 
efficient way for e-Residents to collect their cards.

Benefits of Partnership

- Increased Accessibility: Designating our office as a pickup location would 
make it easier for many tourists and individuals in the Dominican Republic 
to apply for and collect their e-Resident cards.
- Streamlined Process: We would work closely with the Minister of the 
Interior of the Republic of Estonia to ensure a seamless experience for 
e-Residents, providing them with the necessary support and guidance 
throughout the process.
- Promoting Digital Entrepreneurship: By facilitating access to the 
e-Residency program, we can attract more digital entrepreneurs and remote 
workers from the Dominican Republic, potentially leading to new economic 
opportunities and collaborations.

I believe that Blocknance would be an excellent partner for the Estonian 
government's e-Residency program. We would be pleased to answer any 
questions you may have. Please do not hesitate to contact us if you require 
any additional information.

Thank you for considering our proposal.
Sincerely,
Emmanuel Fortune

Blocknance duns
https://www.dnb.com/business-directory/company-profiles.blocknance_financial_international_srl.fa830d2ca1457546e01c98dc3975f242.html
Opencorporate
https://opencorporates.com/companies/do/524695
Corporate Office (1)
https://share.google/eQR31mZ6PK2PlKeHE